udftools

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
track_info Struct Reference

`#include <cdrwtool.h>`

Collaboration diagram for track_info:

## Public Attributes
uint16_t | info_length
uint8_t | track_number_l
uint8_t | session_number_l
uint8_t | reserved1
uint8_t | reserved2: 2
uint8_t | damage: 1
uint8_t | copy: 1
uint8_t | track_mode: 4
uint8_t | rt: 1
uint8_t | blank: 1
uint8_t | packet: 1
uint8_t | fp: 1
uint8_t | data_mode: 4
uint8_t | reserved3: 6
uint8_t | lra_v: 1
uint8_t | nwa_v: 1
uint32_t | track_start
uint32_t | next_writable
uint32_t | free_blocks
uint32_t | packet_size
uint32_t | track_size
uint32_t | last_recorded
uint8_t | track_number_m
uint8_t | session_number_m
uint8_t | reserved4
uint8_t | reserved5

## Detailed Description

Definition at line 162 of file cdrwtool.h.

## Member Data Documentation

uint8_t track_info::blank

Definition at line 173 of file cdrwtool.h.

uint8_t track_info::copy

Definition at line 170 of file cdrwtool.h.

uint8_t track_info::damage

Definition at line 169 of file cdrwtool.h.

uint8_t track_info::data_mode

Definition at line 176 of file cdrwtool.h.

uint8_t track_info::fp

Definition at line 175 of file cdrwtool.h.

uint32_t track_info::free_blocks

Definition at line 196 of file cdrwtool.h.

uint16_t track_info::info_length

Definition at line 163 of file cdrwtool.h.

uint32_t track_info::last_recorded

Definition at line 199 of file cdrwtool.h.

uint8_t track_info::lra_v

Definition at line 178 of file cdrwtool.h.

uint32_t track_info::next_writable

Definition at line 195 of file cdrwtool.h.

uint8_t track_info::nwa_v

Definition at line 179 of file cdrwtool.h.

uint8_t track_info::packet

Definition at line 174 of file cdrwtool.h.

uint32_t track_info::packet_size

Definition at line 197 of file cdrwtool.h.

uint8_t track_info::reserved1

Definition at line 166 of file cdrwtool.h.

uint8_t track_info::reserved2

Definition at line 168 of file cdrwtool.h.

uint8_t track_info::reserved3

Definition at line 177 of file cdrwtool.h.

uint8_t track_info::reserved4

Definition at line 202 of file cdrwtool.h.

uint8_t track_info::reserved5

Definition at line 203 of file cdrwtool.h.

uint8_t track_info::rt

Definition at line 172 of file cdrwtool.h.

uint8_t track_info::session_number_l

Definition at line 165 of file cdrwtool.h.

uint8_t track_info::session_number_m

Definition at line 201 of file cdrwtool.h.

uint8_t track_info::track_mode

Definition at line 171 of file cdrwtool.h.

uint8_t track_info::track_number_l

Definition at line 164 of file cdrwtool.h.

uint8_t track_info::track_number_m

Definition at line 200 of file cdrwtool.h.

uint32_t track_info::track_size

Definition at line 198 of file cdrwtool.h.

uint32_t track_info::track_start

Definition at line 194 of file cdrwtool.h.

The documentation for this struct was generated from the following file:

- cdrwtool/cdrwtool.h